Skip to main content
POST
/
employer_benefits
Create an employer benefit
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/employer_benefits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "work_assignment_id": "<id>",
  "employer_benefit_type": "health",
  "frequency": "per_payroll",
  "amount": 50,
  "amount_type": "fixed",
  "effective_from": "2026-01-01",
  "title": "Health Benefit",
  "tag_assignment": {
    "unit": "percentage",
    "tag_allocations": [
      {
        "tags": [
          "<id>"
        ],
        "value": 100
      }
    ]
  }
}
'
{
  "id": "<id>",
  "object": "employer_benefit",
  "data": {
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "business_preset": null,
    "employer_benefit_type": {
      "id": "<id>",
      "object": "employer_benefit_type",
      "data": {
        "type": "health",
        "label": "Health"
      },
      "links": {
        "self": "/employer_benefit_types/health"
      }
    },
    "employee_benefit": null,
    "title": "Health Benefit",
    "title_translations": null,
    "title_translated": "Health Benefit",
    "apply_sales_tax": false,
    "income_basis": "regular_earnings",
    "income_includes": [],
    "remittance_account_id": null,
    "remittance_account": null,
    "amount": 50,
    "amount_type": "fixed",
    "coverage_multiplier": 1,
    "max_annual_contribution": null,
    "max_annual_contribution_basis": "this_benefit",
    "frequency": "per_payroll",
    "date_basis": null,
    "pay_period_cadence": null,
    "effective_from": "2026-01-01",
    "effective_to": null,
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/employer_benefits/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
work_assignment_id
string
required

Must belong to a work assignment associated with an entity of type Employee.

frequency
enum<string>
required

The frequency at which this benefit is applied to Pay Stubs. When per_month, the amount is distributed across the selected Payrolls in the calendar month. per_month requires amount_type to be fixed.

Available options:
once,
per_month,
per_payroll
amount
number<decimal>
required

The contribution amount per pay period. When amount_type is percent, this is interpreted as a percentage of the income basis (0-100); otherwise as a fixed dollar amount.

Required range: x >= 0
amount_type
enum<string>
required

Whether amount is a fixed dollar value (fixed) or a percentage of the income basis (percent).

Available options:
fixed,
percent
effective_from
string<date>
required

The date from which this benefit is applied to Pay Stubs.

business_preset_id
string
employer_benefit_type
enum<string>

The type of employer benefit, which determines how it is categorized and reported.

Must be present when business_preset_id is either empty or not set.

Available options:
accident_insurance_plan,
critical_illness,
debt_relief,
dental,
employee_assistance_program,
fondaction,
fondaction_rrsp,
fonds_solidarite_ftq,
fonds_solidarite_ftq_rrsp,
gift_near_cash,
gift_non_cash_non_taxable,
gift_non_cash_taxable,
group_dependent_life_insurance,
group_term_life_insurance,
health,
health_spending_account,
long_term_disability,
meals_subsidized_non_cash,
non_group_long_term_disability,
non_group_short_term_disability,
parking,
pension_dbpp,
pension_dcpp,
pension_mfpp,
pension_prpp,
pension_restricted_rrsp,
pension_rrsp,
pension_unregistered_prpp,
pension_vrsp,
professional_membership,
profit_sharing_dpsp,
savings_tfsa,
second_opinion_medical_consultation,
short_term_disability,
transit_pass,
transportation_to_from_work,
vehicle_employer_provided,
virtual_health_service,
wellness_spending_account
employee_benefit_id
string
income_basis
enum<string>

Determines the income used as the base for percentage-based benefit calculations. regular_earnings includes only salary and wage earnings. all_earnings includes all earnings. total_income includes all earnings, taxable allowances, and taxable reimbursements. none doesn't include any line items, and can be used with income_includes for completely custom definitions of income.

Available options:
all_earnings,
none,
regular_earnings,
total_income
income_includes
object[]

An optional list of specific earnings, allowances, and other line item types to include in the income calculation in addition to those included via income_basis.

max_annual_contribution
number<decimal>

The maximum dollar amount that will be contributed in a calendar year. Contributions stop once this limit is reached.

Required range: 0 <= x <= 99999
max_annual_contribution_basis
enum<string>

Whether max_annual_contribution accumulates across pay periods or applies as a fixed per-period cap.

Available options:
all_line_items_of_type,
this_benefit
coverage_multiplier
number<decimal>

A multiplier applied to the Employee's earnings to determine the benefit coverage amount, used for coverage-based benefits such as life insurance.

Required range: 0 <= x <= 100
effective_to
string<date>

The date after which this benefit is no longer applied. null if the benefit applies indefinitely.

apply_sales_tax
boolean

Whether provincial sales tax is applied to the benefit amount.

remittance_account_id
string

The remittance account to which collected benefit amounts are remitted.

expense_accounting_code_id
string
liability_accounting_code_id
string
title
string | null
Maximum string length: 255
title_translations
object

Optional translations for the title property.

external_ref
string
Maximum string length: 255
tag_assignment
object
date_basis
enum<string>

Which payroll date determines the calendar month for the allocation. Applies only to per_month benefits.

Available options:
by_pay_date,
by_period_end_date,
by_period_start_date
pay_period_cadence
integer[]

Which pay periods within the month receive the allocation. An array of 1-based positions; -1 is the final period. Applies only to per_month benefits.

Minimum array length: 1

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("employer_benefit").

data
Employer Benefit · object